%define name	siproxd
%define version	0.3.2
%define release	2mdk

Summary:	A SIP masquerading proxy with RTP support
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Patch0:		%{name}-%{version}-config.patch.bz2
URL:		http://siproxd.sourceforge.net/
License:	GPL
Group:		System/Servers
#Requires:	libosip2 >= 1.99.0
#BuildRequires:	libosip2 >= 1.99.0
PreReq:		rpm-helper
Requires:	libosip0 >= 0.9.6
BuildRequires:	libosip0-devel >= 0.9.6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Siprox is an proxy/masquerading daemon for the SIP protocol.
It handles registrations of SIP clients on a private IP network
and performs rewriting of the SIP message bodies to make SIP
connections possible via an masquerading firewall.
It allows SIP clients (like kphone, linphone) to work behind
an IP masquerading firewall or router.

%prep

%setup -q
%patch0 -p0

%build

%configure \
    --bindir=%{_sbindir} \
    --sbindir=%{_sbindir} \
    --enable-force-osip1

#    --with-extra-includes=%{_includedir} \
#    --with-extra-libs=%{_libdir} \
#    --with-uclibc-path=%{_libdir}/i386-linux-uclibc \
#    --enable-uclibc \
#    --enable-force-osip1

	    
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall

install -d %{buildroot}/var/run/%{name}
install -d %{buildroot}/var/lib/%{name}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}

bzcat %{SOURCE1} > %{buildroot}%{_initrddir}/%{name}
chmod 755 %{buildroot}%{_initrddir}/%{name}

# fix config
mv %{buildroot}%{_sysconfdir}/%{name}.conf.example %{buildroot}%{_sysconfdir}/%{name}.conf

# move daemon in place...
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}

%pre
%_pre_useradd %{name} /var/lib/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc doc/FAQ AUTHORS ChangeLog README RELNOTES TODO
%config(noreplace) %attr(0755,root,root) %{_initrddir}/%{name}
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/%{name}.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/%{name}_passwd.cfg
%attr(0755,root,root) %{_sbindir}/%{name}
%dir %attr(0755,%{name},%{name}) /var/lib/%{name}
%dir %attr(0755,%{name},%{name}) /var/run/%{name}

%changelog
* Fri Jul 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-2mdk
- rebuild

* Sat Apr 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contribs
- added S1 & P0
- used provided spec file but made it more Mandrake'ish

